Bug 1310817 - FTBFS: kst fails to build with gsl 2.1
FTBFS: kst fails to build with gsl 2.1
Product: Fedora
Classification: Fedora
Component: kst (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-02-22 12:26 EST by Orion Poplawski
Modified: 2016-03-03 14:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-03-03 14:47:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2016-02-22 12:26:55 EST
Description of problem:

kst fails to build with gsl 2.1:

In file included from /builddir/build/BUILD/Kst-2.0.8/src/plugins/fits/exponential_unweighted/fitexponential_unweighted.cpp:24:0:
/builddir/build/BUILD/Kst-2.0.8/src/plugins/fits/exponential_unweighted/../non_linear.h: In function 'bool kstfit_nonlinear(Kst::VectorPtr, Kst::VectorPtr, Kst::VectorPtr, Kst::VectorPtr, Kst::VectorPtr, Kst::VectorPtr, Kst::ScalarPtr)':
/builddir/build/BUILD/Kst-2.0.8/src/plugins/fits/exponential_unweighted/../non_linear.h:180:40: error: 'struct gsl_multifit_fdfsolver' has no member named 'J'
           gsl_multifit_covar( pSolver->J, 0.0, pMatrixCovariance );

Upstream bug: https://bugs.kde.org/show_bug.cgi?id=355324

but no response yet.  Similar fixes have been made to other packages though so it shouldn't be too hard to work up a patch.
Comment 1 Jan Kurik 2016-02-24 10:28:52 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
Comment 2 Gwyn Ciesla 2016-03-03 14:47:51 EST
Upstream patch issued, and it works.

Note You need to log in before you can comment on or make changes to this bug.